Subject: Re: bug#62994: [PATCH v5] Add support for colored and styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Feb 2024 15:50:40 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Mon, 12 Feb 2024 09:43:11 +0800
> 
> > +If your terminals termcap or terminfo database entry has the 'Su' or
> > +'Smulx' capability defined, Emacs will now emit the prescribed escape
> > +sequence necessary to render faces with styled underlines on TTY
> > +frames.
> > +
> > +Styled underlines are any underlines containing a non-default
> > +underline style or a color other than the foreground-color.
> > +The available underline styles for TTY frames are 'double', 'wave',
> > +'dotted', and 'dashed'.  These are currently supported by Kitty,
> > +libvte, and st (through the undercurl patch) among other terminals.
> 
> What about GUI frames?  I don't want to see a display feature installed
> before it is also implemented for the likes of X.

Unless you are saying that implementing this on X would be impossible
or very hard, I don't think we need to delay installing this feature
until it is also available on X.  Of course, if Mohsin can also
provide an X-based implementation, that would be super.